Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageEllipsoidSource Class Reference

`#include <vtkImageEllipsoidSource.h>`

Inheritance diagram for vtkImageEllipsoidSource:

[legend]
Collaboration diagram for vtkImageEllipsoidSource:

[legend]
List of all members.

## Detailed Description

Create a binary image of an ellipsoid.

Date:
  2002/01/22 15:32:24

Revision:
  1.25

vtkImageEllipsoidSource creates a binary image of a ellipsoid. It was created as an example of a simple source, and to test the mask filter. It is also used internally in vtkImageDilateErode3D.

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (63%)
  - Law, Charles (17%)
  - Martin, Ken (14%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageEllipsoidSource.cxx)`
  - .`h` (`/Imaging/vtkImageEllipsoidSource.h)`

Tests:
  vtkImageEllipsoidSource (Tests)

Definition at line 47 of file vtkImageEllipsoidSource.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetWholeExtent (int extent[6])
void | SetWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ)
void | GetWholeExtent (int extent[6])
int * | GetWholeExtent ()
virtual void | SetCenter (float, float, float)
virtual void | SetCenter (float[3])
virtual float * | GetCenter ()
virtual void | GetCenter (float &, float &, float &)
virtual void | GetCenter (float[3])
virtual void | SetRadius (float, float, float)
virtual void | SetRadius (float[3])
virtual float * | GetRadius ()
virtual void | GetRadius (float &, float &, float &)
virtual void | GetRadius (float[3])
virtual void | SetInValue (float)
virtual float | GetInValue ()
virtual void | SetOutValue (float)
virtual float | GetOutValue ()
virtual void | SetOutputScalarType (int)
virtual int | GetOutputScalarType ()
void | SetOutputScalarTypeToDouble ()
void | SetOutputScalarTypeToFloat ()
void | SetOutputScalarTypeToLong ()
void | SetOutputScalarTypeToUnsignedLong ()
void | SetOutputScalarTypeToInt ()
void | SetOutputScalarTypeToUnsignedInt ()
void | SetOutputScalarTypeToShort ()
void | SetOutputScalarTypeToUnsignedShort ()
void | SetOutputScalarTypeToChar ()
void | SetOutputScalarTypeToUnsignedChar ()
## Static Public Methods
vtkImageEllipsoidSource * | New ()
int | IsTypeOf (const char *type)
vtkImageEllipsoidSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageEllipsoidSource ()
| ~vtkImageEllipsoidSource ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *outData)
## Protected Attributes
int | WholeExtent [6]
float | Center [3]
float | Radius [3]
float | InValue
float | OutValue
int | OutputScalarType

## Member Typedef Documentation

typedef vtkImageSource vtkImageEllipsoidSource::Superclass

| Reimplemented from vtkImageSource. Definition at line 51 of file vtkImageEllipsoidSource.h.

## Constructor & Destructor Documentation

vtkImageEllipsoidSource::vtkImageEllipsoidSource | ( |  | ) | `[protected]`

vtkImageEllipsoidSource::~vtkImageEllipsoidSource | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageEllipsoidSource* vtkImageEllipsoidSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageEllipsoidSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkImageEllipsoidSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkImageEllipsoidSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkImageEllipsoidSource* vtkImageEllipsoidSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkImageEllipsoidSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

void vtkImageEllipsoidSource::SetWholeExtent | ( | int | extent[6] | ) |

| Set/Get the extent of the whole output image.

void vtkImageEllipsoidSource::SetWholeExtent | ( | int | minX,
|  | int | maxX,
|  | int | minY,
|  | int | maxY,
|  | int | minZ,
|  | int | maxZ
| ) |

| Set/Get the extent of the whole output image.

void vtkImageEllipsoidSource::GetWholeExtent | ( | int | extent[6] | ) |

| Set/Get the extent of the whole output image.

int* vtkImageEllipsoidSource::GetWholeExtent | ( |  | ) | `[inline]`

| Set/Get the extent of the whole output image. Definition at line 60 of file vtkImageEllipsoidSource.h.

virtual void vtkImageEllipsoidSource::SetCenter | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the center of the ellipsoid.

virtual void vtkImageEllipsoidSource::SetCenter | ( | float | [3] | ) | `[virtual]`

| Set/Get the center of the ellipsoid.

virtual float* vtkImageEllipsoidSource::GetCenter | ( |  | ) | `[virtual]`

| Set/Get the center of the ellipsoid.

virtual void vtkImageEllipsoidSource::GetCenter | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the center of the ellipsoid.

virtual void vtkImageEllipsoidSource::GetCenter | ( | float | [3] | ) | `[virtual]`

| Set/Get the center of the ellipsoid.

virtual void vtkImageEllipsoidSource::SetRadius | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the radius of the ellipsoid.

virtual void vtkImageEllipsoidSource::SetRadius | ( | float | [3] | ) | `[virtual]`

| Set/Get the radius of the ellipsoid.

virtual float* vtkImageEllipsoidSource::GetRadius | ( |  | ) | `[virtual]`

| Set/Get the radius of the ellipsoid.

virtual void vtkImageEllipsoidSource::GetRadius | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the radius of the ellipsoid.

virtual void vtkImageEllipsoidSource::GetRadius | ( | float | [3] | ) | `[virtual]`

| Set/Get the radius of the ellipsoid.

virtual void vtkImageEllipsoidSource::SetInValue | ( | float |  | ) | `[virtual]`

| Set/Get the inside pixel values.

virtual float vtkImageEllipsoidSource::GetInValue | ( |  | ) | `[virtual]`

| Set/Get the inside pixel values.

virtual void vtkImageEllipsoidSource::SetOutValue | ( | float |  | ) | `[virtual]`

| Set/Get the outside pixel values.

virtual float vtkImageEllipsoidSource::GetOutValue | ( |  | ) | `[virtual]`

| Set/Get the outside pixel values.

virtual void vtkImageEllipsoidSource::SetOutputScalarType | ( | int |  | ) | `[virtual]`

| Set what type of scalar data this source should generate.

virtual int vtkImageEllipsoidSource::GetOutputScalarType | ( |  | ) | `[virtual]`

| Set what type of scalar data this source should generate.

void vtkImageEllipsoidSource::SetOutputScalarTypeToDouble | ( |  | ) | `[inline]`

| Set what type of scalar data this source should generate. Definition at line 91 of file vtkImageEllipsoidSource.h. References VTK_DOUBLE.

void vtkImageEllipsoidSource::SetOutputScalarTypeToFloat | ( |  | ) | `[inline]`

| Set what type of scalar data this source should generate. Definition at line 93 of file vtkImageEllipsoidSource.h. References VTK_FLOAT.

void vtkImageEllipsoidSource::SetOutputScalarTypeToLong | ( |  | ) | `[inline]`

| Set what type of scalar data this source should generate. Definition at line 95 of file vtkImageEllipsoidSource.h. References VTK_LONG.

void vtkImageEllipsoidSource::SetOutputScalarTypeToUnsignedLong | ( |  | ) | `[inline]`

| Set what type of scalar data this source should generate. Definition at line 97 of file vtkImageEllipsoidSource.h. References VTK_UNSIGNED_LONG.

void vtkImageEllipsoidSource::SetOutputScalarTypeToInt | ( |  | ) | `[inline]`

| Set what type of scalar data this source should generate. Definition at line 99 of file vtkImageEllipsoidSource.h. References VTK_INT.

void vtkImageEllipsoidSource::SetOutputScalarTypeToUnsignedInt | ( |  | ) | `[inline]`

| Set what type of scalar data this source should generate. Definition at line 101 of file vtkImageEllipsoidSource.h. References VTK_UNSIGNED_INT.

void vtkImageEllipsoidSource::SetOutputScalarTypeToShort | ( |  | ) | `[inline]`

| Set what type of scalar data this source should generate. Definition at line 103 of file vtkImageEllipsoidSource.h. References VTK_SHORT.

void vtkImageEllipsoidSource::SetOutputScalarTypeToUnsignedShort | ( |  | ) | `[inline]`

| Set what type of scalar data this source should generate. Definition at line 105 of file vtkImageEllipsoidSource.h. References VTK_UNSIGNED_SHORT.

void vtkImageEllipsoidSource::SetOutputScalarTypeToChar | ( |  | ) | `[inline]`

| Set what type of scalar data this source should generate. Definition at line 107 of file vtkImageEllipsoidSource.h. References VTK_CHAR.

void vtkImageEllipsoidSource::SetOutputScalarTypeToUnsignedChar | ( |  | ) | `[inline]`

| Set what type of scalar data this source should generate. Definition at line 109 of file vtkImageEllipsoidSource.h. References VTK_UNSIGNED_CHAR.

virtual void vtkImageEllipsoidSource::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkImageEllipsoidSource::ExecuteData | ( | vtkDataObject * | outData | ) | `[protected, virtual]`

## Member Data Documentation

int vtkImageEllipsoidSource::WholeExtent[6]`[protected]`

| Definition at line 117 of file vtkImageEllipsoidSource.h.

float vtkImageEllipsoidSource::Center[3]`[protected]`

| Definition at line 118 of file vtkImageEllipsoidSource.h.

float vtkImageEllipsoidSource::Radius[3]`[protected]`

| Definition at line 119 of file vtkImageEllipsoidSource.h.

float vtkImageEllipsoidSource::InValue`[protected]`

| Definition at line 120 of file vtkImageEllipsoidSource.h.

float vtkImageEllipsoidSource::OutValue`[protected]`

| Definition at line 121 of file vtkImageEllipsoidSource.h.

int vtkImageEllipsoidSource::OutputScalarType`[protected]`

| Definition at line 122 of file vtkImageEllipsoidSource.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageEllipsoidSource.h